<?php

    use Illuminate\Database\Migrations\Migration;
    use Illuminate\Database\Schema\Blueprint;
    use Illuminate\Support\Facades\Schema;

    return new class extends Migration {
        /**
         * Run the migrations.
         */
        public function up()
        : void
        {
            Schema::table('persetujuan_penawaran', function (Blueprint $table) {
                $table->string('nomor_proposal_penawaran')->nullable()->change();
                $table->date('tanggal_proposal_penawaran')->nullable()->change();
                $table->string('biaya_final')->nullable()->change();
                $table->renameColumn('sls_resume', 'sla_resume');
                $table->datetime('sla_resume')->nullable()->change();
                $table->datetime('sla_final')->nullable()->change();
                $table->string('catatan')->nullable()->change();
                $table->string('attachment')->nullable()->change();
                $table->foreignId('region_id')->nullable()->change();
                $table->boolean('status')->nullable()->change();
            });
        }

        /**
         * Reverse the migrations.
         */
        public function down()
        : void
        {
            Schema::table('persetujuan_penawaran', function (Blueprint $table) {
                $table->string('nomor_proposal_penawaran')->nullable(false)->change();
                $table->date('tanggal_proposal_penawaran')->nullable(false)->change();
                $table->string('biaya_final')->nullable(false)->change();
                $table->renameColumn('sla_resume', 'sls_resume');
                $table->datetime('sls_resume')->nullable(false)->change();
                $table->datetime('sla_final')->nullable(false)->change();
                $table->string('catatan')->nullable(false)->change();
                $table->string('attachment')->nullable(false)->change();
                $table->foreignId('region_id')->nullable(false)->change();
                $table->boolean('status')->nullable(false)->change();
            });
        }
    };
